Bug 834807 - [abrt] gkrellm-2.3.5-5.fc16: strcat: Process /usr/bin/gkrellm was killed by signal 6 (SIGABRT)
[abrt] gkrellm-2.3.5-5.fc16: strcat: Process /usr/bin/gkrellm was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: i8kutils (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
abrt_hash:cf8f1dc706f92ff6998cbd4fcc1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 15:01 EDT by geminic86
Modified: 2013-02-13 11:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:33:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (6.79 KB, text/plain)
2012-06-23 15:01 EDT, geminic86
no flags Details
File: backtrace (12.07 KB, text/plain)
2012-06-23 15:01 EDT, geminic86
no flags Details
File: smolt_data (5.47 KB, text/plain)
2012-06-23 15:01 EDT, geminic86
no flags Details
File: coredump (12.25 MB, text/plain)
2012-06-23 15:01 EDT, geminic86
no flags Details
File: maps (24.59 KB, text/plain)
2012-06-23 15:02 EDT, geminic86
no flags Details
File: dso_list (7.96 KB, text/plain)
2012-06-23 15:02 EDT, geminic86
no flags Details

  None (edit)
Description geminic86 2012-06-23 15:01:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gkrellm
crash_function: strcat
executable:     /usr/bin/gkrellm
kernel:         3.4.2-1.fc16.i686.PAEdebug
pid:            3051
pwd:            /home/optimus
time:           Tue 19 Jun 2012 04:16:07 AM EDT
uid:            1000
username:       optimus
var_log_messages: Jun 19 04:16:08 BigBoy abrt[30545]: Saved core dump of pid 3051 (/usr/bin/gkrellm) to /var/spool/abrt/ccpp-2012-06-19-04:16:07-3051 (12840960 bytes)

backtrace:      Text file, 12358 bytes
dso_list:       Text file, 8150 bytes
event_log:      Text file, 6954 bytes
maps:           Text file, 25182 bytes
smolt_data:     Text file, 5603 bytes

build_ids:
:4b65b2ab36082e9552ad2014fac436421c4f65ad
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:c9bedc7ec229b2a2e2ec1b6a6581b415c98bc4c1
:9c6de699edbe571a42b9eebfd635ca42a861814a
:98e5e60078d7807fddc7d0ffb7a2271aac2e8904
:cd8e5718b30e2d3bf0c36a6fdd835cf41b65f9b3
:42859023e4ec83a16446984b1e0c7510a38731c4
:d2fa47ac2ef035e4573199292f6d6352a0132124
:c081890d51edd93a0195038b808291f5c26bd04c
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:edf49a2469b784926a4104de58e85ed2e146f4b3
:798697a352bae4178953ba502fb04f33dd0ed987
:5daecd6904476befcc60901b5b597dbc0dac0f40
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:8a257536ca5f5aee876e236d9bab65868b0b385f
:f68497e25ae6c24a02acbf1eb38f81f90eace3d3
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:a861dd64efbed0e35b4cdad337313b98c162cf58
:645e99e5f649f5599d1c2e398a40a8721d51d73e
:4c04033d01a9d6b157b2521ae3409a0ba0f5f3a3
:73bae12644d7d1473dd8d74fab6d8b09c0355c31
:1e3fe89770ebf8f85a9b26e44bf85d781bcfaa23
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:f44dc2ce1342f1e65bde225ad216b77040eac709
:4f2c2e43f699902f896456f8d9f85c6c70ed7f8b
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:bc2977c846f416801f72af84a6e936add84ba1e6
:e64d3adbd116d69878711f94b075d9076296bdae
:6ecdde4147fa0e931f02dbd92c5a6c58709b4e9f
:63dd827dee72af944147d4f6df04266e0765a7b7
:888fc54505ca230b51d20931456ef18d9dc20346
:ee6ae8e1a136e74409eada175f62e7a04141e210
:c36985d76169b6d68cc22962b532889701f7d4aa
:95cca0f809d5b758851072b87c6c35f28f611681
:fe4b919adf1bf445bd335126e9c0a274b55707b1
:7797557c8de2017a8a26fca60803b0ca826bd835
:77cb8b97862bff0fac83fb6a452f2c3e18a66795
:2db77e82f9cf6054c8c51f0e059ff75075dbbc36
:e2694c79d6fee94c3f1a218fe8d5d66474189214
:90d66123955b2d1aaf9af7d6e593c3c7a6f2ccec
:1c92bde3bc752e5630e24d8699a50bcff735af0b
:2c4e6e5956dc136a43a31e33e4796e16fc35b5cc
:b15b3676f0d78173fc1a46eb9e7e32f4b3cca6bb
:3aebcb636082487df791afdbe5796bb726e01c4e
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:9d63dc2ec7319f8f859631fe02b108b896da5450
:60e488e737928d97c52bed9d28e5c9c4ec4a821a
:a031ec247ebfa2c35d637f0c427474d7a0e43904
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:82ea127e66293fd5449225991b20eff9e9f87e14
:647951954dab9eadcf521b97c5f9d7566b1e79c8
:52cfde7a730826ca63e9d6de254413e8e20d6fc4
:7523f9012d700a579c80e83f54445e7bfceb4eca
:faa844e460702359079f4f15f1f881e87777abb6
:af67e9dfe2fe421ce132eae1a469bfb424879ef8
:dd4b5e7b0263e852bbd890ca6358ccc7075fe18b
:5031c4c03882fc3c5cc3dd84e2b4491d8bd08af3
:23d1086014ed5544b3df4cee1f95694032252322
:ced82078ed2f1dd18f92fb24bf6b760a4f5b178c
:c02f7545215b4ada09b3bb4b43b485b07c55c1c4
:2aed5f2860186d237ceea6f6d26c433204f9d5a1
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:83828a31823ccb1a2e2f04736f01f6c41ba1e360
:f5f4c274f78d72b0adf906f5590c2961e2a4bbab
:d94f52f020f5a21d89ce70745a9bfb78cee38ba4
:4b045111479e1ec97d0ef5668482bf808e8dadba
:b5d8dba6c9d0548815a8aa120f136a6c125c21e1
:ec28befdf5ff57fdc7e4f444d594e86f5b1a9f23
:93f81ccfb74695b54b63f65bed2c10ee2b39d775
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:b2d5c5f02b6e6eb34dc593699c0b0bf516280159
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:0c42d41b807c8cf7bcfa07558b3c29014947986e
:d2d488aa70a50c995f5d8890909af2939897e7da
:20e55e40b2f98606fcb0891424b09eb7e723ce8f
:15bab279752ad8e30f901abae77bcb1ed1f38977
:38fa4aff69887368314d60ddbe63a025bea44f5a
:556f3a11636b6f0daaea874102de18ca7e6e08d1
:c51ec570cd54f45ac21b3f18f67123809cf4c01a
:36620bac2c5c8edf5c4652eb8db04e16befbb60b
:4cadcee4cbcd48d8b8766361bf2e80d593a46536
:7a45666a014481c196c7f53a4aef302b0331aaf3
:8403f33f0be1a3653acd05b560f87aa1363d02d7
:91aa25ae571a0ea3c49de4393a56d860e7045bfc
:8a64cfb5b04fd9101e8de88d1d7662ad2b45d255
:b8362b3b5d82f212d77d69fff8e503ae6fdcfe9b
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:05b2dae15e59dce2c8918febf3a4d6644883fec1

environ:
:DREAL_TECHNO_NAME=/usr/lib/alliance/etc/cmos.dreal
:XDG_VTNR=1
:MANPATH=:/usr/lib/alliance/man:/usr/local/share/man:/usr/share/man:/usr/lib/alliance/man
:VH_PATSFX=pat
:XDG_SESSION_ID=2
:HOSTNAME=BigBoy
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:MBK_IN_PH=ap
:XSCH_PARAM_NAME=/usr/lib/alliance/etc/xsch.par
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=01cb944c7763d7fe0157ed1700000015-1339946473.31278-1951983810
:SGE_CELL=default
:VH_MAXERR=10
:QTDIR=/usr/lib/qt-3.3
:RDS_OUT=cif
:GNOME_KEYRING_CONTROL=/tmp/keyring-0CysNX
:QTINC=/usr/lib/qt-3.3/include
:XFSM_PARAM_NAME=/usr/lib/alliance/etc/xfsm.par
:GRAAL_TECHNO_NAME=/usr/lib/alliance/etc/cmos.graal
:ALLIANCE_TOP=/usr/lib/alliance
:IMSETTINGS_MODULE=none
:USER=optimus
:LD_LIBRARY_PATH=/usr/lib/alliance/lib
:CCACHE_DIR=/var/cache/ccache
:USERNAME=optimus
:MAIL=/var/spool/mail/optimus
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/lib/icecc/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/lib/alliance/bin:/home/optimus/.local/bin:/home/optimus/bin
:DESKTOP_SESSION=gnome
:MBK_SCALE_X=100
:QT_IM_MODULE=xim
:MBK_CATAL_NAME=CATAL
:PWD=/home/optimus
:XMODIFIERS=@im=none
:CCACHE_UMASK=002
:KDE_IS_PRELINKED=1
:MBK_OUT_PH=ap
:GNOME_KEYRING_PID=2294
:LANG=en_US.UTF-8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:MBK_SPI_MODEL=/usr/lib/alliance/etc/spimodel.cfg
:GENVIEW_TECHNO_NAME=/usr/lib/alliance/etc/cmos.genview
:RDS_IN=cif
:SGE_ROOT=/usr/share/gridengine
:LOADEDMODULES=
:KDEDIRS=/usr
:MBK_OUT_LO=vst
:MBK_VSS=vss
:GDMSESSION=gnome
:VH_BEHSFX=vbe
:HISTCONTROL=ignoredups
:HOME=/home/optimus
:XDG_SEAT=seat0
:SHLVL=1
:MBK_C4_LIB=./cellsC4
:GDL_PATH=+/usr/share/gnudatalanguage
:MBK_VDD=vdd
:MBK_TARGET_LIB=/usr/lib/alliance/cells/sxlib
:RDS_TECHNO_NAME=/usr/lib/alliance/etc/cmos.rds
:VH_DLYSFX=dly
:LOGNAME=optimus
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dlBdXx4e0E,guid=ad8a08f713c44af4f97197db00000083
:MODULESHOME=/usr/share/Modules
:MBK_IN_LO=vst
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MBK_WORK_LIB=.
:XPAT_PARAM_NAME=/usr/lib/alliance/etc/xpat.par
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/optimus
:DISPLAY=:0.0
:ELP_TECHNO_NAME=/usr/lib/alliance/etc/prol.elp
:MBK_CATA_LIB=.:/usr/lib/alliance/cells/sxlib:/usr/lib/alliance/cells/dp_sxlib:/usr/lib/alliance/cells/rflib:/usr/lib/alliance/cells/rf2lib:/usr/lib/alliance/cells/ramlib:/usr/lib/alliance/cells/romlib:/usr/lib/alliance/cells/pxlib:/usr/lib/alliance/cells/padlib
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-optimus-hG5Uqq/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2298,unix/unix:/tmp/.ICE-unix/2298
:SSH_AUTH_SOCK=/tmp/keyring-0CysNX/ssh
:GPG_AGENT_INFO=/tmp/keyring-0CysNX/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-panel-2539-BigBoy-gkrellm-1_TIME328043

xsession_errors:
:*** buffer overflow detected ***: gkrellm terminated
:/usr/lib/gkrellm2/plugins/i8krellm.so(+0x5e5f)[0xb74b5e5f]
:/usr/lib/gkrellm2/plugins/i8krellm.so(+0x6231)[0xb74b6231]
:gkrellm[0x805c1c3]
:gkrellm(main+0xecf)[0x80592af]
:gkrellm[0x8059a6d]
:08045000-0810d000 r-xp 00000000 fd:01 152704     /usr/bin/gkrellm
:0810d000-0811e000 rw-p 000c7000 fd:01 152704     /usr/bin/gkrellm
:b748f000-b749a000 r-xp 00000000 fd:01 399664     /usr/lib/gkrellm2/plugins/gkrelltop.so
:b749a000-b749b000 rw-p 0000b000 fd:01 399664     /usr/lib/gkrellm2/plugins/gkrelltop.so
:b749b000-b749d000 r-xp 00000000 fd:01 393727     /usr/lib/gkrellm2/plugins/gkfreq_cpu4.so
:b749d000-b749e000 rw-p 00001000 fd:01 393727     /usr/lib/gkrellm2/plugins/gkfreq_cpu4.so
:b749e000-b74a0000 r-xp 00000000 fd:01 393605     /usr/lib/gkrellm2/plugins/gkfreq_cpu2.so
:b74a0000-b74a1000 rw-p 00001000 fd:01 393605     /usr/lib/gkrellm2/plugins/gkfreq_cpu2.so
:b74a1000-b74a3000 r-xp 00000000 fd:01 397180     /usr/lib/gkrellm2/plugins/gkfreq_cpu5.so
:b74a3000-b74a4000 rw-p 00001000 fd:01 397180     /usr/lib/gkrellm2/plugins/gkfreq_cpu5.so
:b74a4000-b74a6000 r-xp 00000000 fd:01 393649     /usr/lib/gkrellm2/plugins/gkfreq_cpu3.so
:b74a6000-b74a7000 rw-p 00001000 fd:01 393649     /usr/lib/gkrellm2/plugins/gkfreq_cpu3.so
:b74a7000-b74a9000 r-xp 00000000 fd:01 393233     /usr/lib/gkrellm2/plugins/gkfreq_cpu0.so
:b74a9000-b74aa000 rw-p 00001000 fd:01 393233     /usr/lib/gkrellm2/plugins/gkfreq_cpu0.so
:b74aa000-b74ac000 r-xp 00000000 fd:01 397181     /usr/lib/gkrellm2/plugins/gkfreq_cpu6.so
:b74ac000-b74ad000 rw-p 00001000 fd:01 397181     /usr/lib/gkrellm2/plugins/gkfreq_cpu6.so
:b74ad000-b74af000 r-xp 00000000 fd:01 399661     /usr/lib/gkrellm2/plugins/gkfreq_cpu7.so
:b74af000-b74b0000 rw-p 00001000 fd:01 399661     /usr/lib/gkrellm2/plugins/gkfreq_cpu7.so
:b74b0000-b74b9000 r-xp 00000000 fd:01 408966     /usr/lib/gkrellm2/plugins/i8krellm.so
:b74b9000-b74ba000 rw-p 00009000 fd:01 408966     /usr/lib/gkrellm2/plugins/i8krellm.so
:b773d000-b773f000 r-xp 00000000 fd:01 393597     /usr/lib/gkrellm2/plugins/gkfreq_cpu1.so
:b773f000-b7740000 rw-p 00001000 fd:01 393597     /usr/lib/gkrellm2/plugins/gkfreq_cpu1.so
:gkrellm aborted:  Dell I8K Plugin  (update_monitor)
Comment 1 geminic86 2012-06-23 15:01:22 EDT
Created attachment 593932 [details]
File: event_log
Comment 2 geminic86 2012-06-23 15:01:24 EDT
Created attachment 593933 [details]
File: backtrace
Comment 3 geminic86 2012-06-23 15:01:25 EDT
Created attachment 593934 [details]
File: smolt_data
Comment 4 geminic86 2012-06-23 15:01:57 EDT
Created attachment 593935 [details]
File: coredump
Comment 5 geminic86 2012-06-23 15:02:01 EDT
Created attachment 593936 [details]
File: maps
Comment 6 geminic86 2012-06-23 15:02:03 EDT
Created attachment 593937 [details]
File: dso_list
Comment 7 Ville Skyttä 2012-06-24 09:43:45 EDT
> #3  0x0805a12e in gkrellm_abort (sig=6) at main.c:2061
>         fault = 0x80c1cfb "aborted"
>         state = <optimized out>
>         buf = "xmessage gkrellm aborted:  Dell I8K Plugin  

--> reassigning to i8kutils.
Comment 8 Fedora End Of Life 2013-01-16 10:12:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 11:33:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.